Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1286123 - DHT: REBALANCE - Remove-brick without commit followed by rebalance causes migration failures
Summary: DHT: REBALANCE - Remove-brick without commit followed by rebalance causes mig...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard: dht-rca-unknown, dht-retest
Depends On: 1066960
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-27 11:35 UTC by Susant Kumar Palai
Modified: 2018-09-04 11:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1066960
Environment:
Last Closed: 2017-12-22 07:55:28 UTC


Attachments (Terms of Use)

Comment 2 Raghavendra G 2016-07-04 08:37:11 UTC
With rhgs-3.1.3, its most likely that glusterd won't allow another instance of rebalance, till the earlier remove-brick was committed or aborted. Hence this test case is no longer valid. Please retest.


Note You need to log in before you can comment on or make changes to this bug.